API Reference
Dashboards
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/dashboard/export JWT API KeyGet export
Query parameters
| Format string | — |
| Preset string | — |
| From string (date) | — |
| To string (date) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/dashboard/export" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/dashboard/layout JWT API KeyGet layout
Query parameters
| Preset string | — |
| From string (date) | — |
| To string (date) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/dashboard/layout" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/dashboard/layout JWT API KeyUpdate layout
Request body
application/json
{
"scope": "string",
"role": "string",
"tiles": [
"string"
]
}| scope string | — |
| role string | — |
| tiles string[] | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/dashboard/layout" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"scope": "string",
"role": "string",
"tiles": [
"string"
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/dashboard/layout JWT API KeyDelete layout
Request body
application/json
{
"scope": "string",
"role": "string",
"reason": "string"
}| scope string | — |
| role string | — |
| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/dashboard/layout" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
get
/api/v1/console/dashboard/tiles JWT API KeyGet tiles
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/dashboard/tiles" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu